# ServiceNow Cloud Observability (Formerly Lightstep)

ServiceNow Cloud Observability (formerly Lightstep) specializes in distributed tracing and real-time monitoring to help teams analyze and resolve performance issues in complex systems. This guide explains how to integrate ThousandEyes metrics with ServiceNow Cloud Observability using OpenTelemetry.

For more information about sending metrics to ServiceNow Cloud Observability using OpenTelemetry, see [ServiceNow Cloud Observability: Ingest metrics using the Collector](https://docs.lightstep.com/docs/ingest-metrics-otel-collector).

## Step 1: Create Access Token

To send data to ServiceNow Cloud Observability, you need an access token. Follow these steps to create an access token.

1. In the navigation bar, click **Settings > Access tokens**.
2. On the **Access Tokens** page, click the **For project** drop-down and select your project.
3. Next, click **Create new access token**.
4. In the dialog, enter a name. Click **Confirm**. Cloud Observability displays **You have created a new access token**, and your token appears at the top of the table. Copy the access token to use it to send telemetry data to ServiceNow Cloud Observability.

## Step 2: Create an Integration

### Create an Integration Using the ThousandEyes UI

1. Log in to your account on the ThousandEyes platform and go to **Manage > Integration 1.0**.
2. Click **+New Integration** and select **OpenTelemetry Integration**.
3. Enter a **Name** for the integration.
4. Set the **Target** to **HTTP**.
5. Enter the **Endpoint URL** to send data in **OTLP (OpenTelemetry Protocol)** format `https://ingest.{REGION}.lightstep.com:443`. Replace `{REGION}` with your region.
6. For **Preset Configurations**, select ServiceNow Lightstep.
7. For **Auth Type**, select **Custom**.
8. Add the following **Custom Headers**: `"lightstep-access-token": "{LS_ACCESS_TOKEN}"`
   * Use your access token from [step 1](#step-1-create-access-token).
9. For the OpenTelemetry **Signal**, select **Metric**.
10. For the **Data Model Version**, select **v2**.
11. Select a **test**. For more information on creating a test, see [General Setup Instructions](https://docs.thousandeyes.com/product-documentation/integration-guides/opentelemetry/observability-platforms#general-setup-instructions).
12. Click **Save** to complete the integration setup.

You have successfully integrated your ThousandEyes data with ServiceNow Cloud Observability.

### Manage Integrations in the UI

For more information on managing OpenTelemetry integrations, including listing, editing, and deleting integrations, see [Manage Integrations Using the UI - Integrations 1.0](https://docs.thousandeyes.com/product-documentation/integration-guides/opentelemetry/manage-integrations#manage-integrations-using-the-ui-integrations-1.0).

### Create an Integration Using the ThousandEyes API

ServiceNow Cloud Observability receives data using the gRPC protocol. For a programmatic integration, use the following API command:

```curl
curl -v -XPOST https://api.thousandeyes.com/v7/stream -H "Content-Type: application/json" -H "Authorization: Bearer $BEARER_TOKEN" -d '{
  "type": "opentelemetry",
  "testMatch": [{
    "id": "281474976717575",
    "domain": "cea"
  }],
  "endpointType": "grpc",
  "streamEndpointUrl": "https://ingest.{REGION}.lightstep.com:443",
  "customHeaders": {
    "lightstep-access-token": "{LS_ACCESS_TOKEN}"
  }
}'
```

Replace `{REGION}` and `{LS_ACCESS_TOKEN}` with the correct values for your instance.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.thousandeyes.com/product-documentation/integration-guides/opentelemetry/observability-platforms/servicenow-cloud-observability.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
